Subject: Re: bug#60399: 30.0.50; Usage of `isearch-open-invisible-temporary' is not documented

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Jan 2023 13:00:04 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 01 Jan 2023 09:09:42 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Manual provides no more information.
> >> 
> >> Would it make sense to mention that overlays passed as an argument of
> >> 'isearch-open-invisible-temporary function must not be destroyed?
> >
> > I've now added a warning to this effect to the comments in
> > isearch-open-overlay-temporary, and I'm therefore closing this bug.
> 
> What about the manual?
> (elisp) 41.6 Invisible Text

I don't think this obscure issue needs to be mentioned in the manual.
It is quite clear to me that the overlay in question cannot be
deleted, I actually raised a brow when you asked for this to be
explicitly mentioned.